
;==============================================================
;!Title: VEC3 Macro Lib - Usage Example 3
;!Author: Gustavo J. Fiorenza (aim: gushhfx)
;!Date: 21/01/2009 - Rev: 4
;!
;==============================================================

EnableExplicit

XIncludeFile "../VEC3_MACRO.pbi"
XIncludeFile "FRAMEWORK.pbi"

Define.i quit, i
Define.VEC3 a, b, c ; a is mouse, b is static object, c is temporary interpolation object.

VEC3_SET( b, 350.0, 150.0, 0.0 )

If init( #WIDTH, #HEIGHT, "lerp with points")
	Repeat
		
		If ExamineKeyboard()
			If KeyboardPushed(#PB_Key_Escape)
				quit = 1
			EndIf
		EndIf
		
		If ExamineMouse()
			a\x = MouseX()
			a\y = MouseY()
		EndIf
		
		If StartDrawing( ScreenOutput() )
			
			#RADIUS = 10
			
			Define.f distance, fraction
			VEC3_DISTANCE( a, b, distance )
			
			distance = ( distance / 2 )
			fraction = #RADIUS / distance
			
			For i=1 To Int( distance ) / #RADIUS
				VEC3_LERP( a, b, c, (i*fraction) )
				Circle( c\x, c\y, #RADIUS, #Blue )
			Next
			
			Circle( a\x, a\y, #RADIUS, #Green )
			Circle( b\x, b\y, #RADIUS, #Green )
			
			StopDrawing()
		EndIf
		
		FlipBuffers()
		update_window()
		ClearScreen($000000)
		Delay(8)
		
	Until quit
EndIf

; IDE Options = PureBasic 4.30 (Windows - x86)
; CursorPosition = 63
; Folding = --
; Executable = ..\..\other\misc\vec3_macro_test3.exe
; EnableCompileCount = 1105
; EnableBuildCount = 35